org.apache.sysds.runtime.compress

## Class DMLCompressionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sysds.api.DMLException
        - - org.apache.sysds.runtime.DMLRuntimeException
          - - org.apache.sysds.runtime.compress.DMLCompressionException

All Implemented Interfaces:
  Serializable

    public class DMLCompressionException
    extends DMLRuntimeException

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

### Constructor Summary

Constructors
Constructor and Description
`DMLCompressionException(String string)`
`DMLCompressionException(String string, Exception ex)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DMLCompressionException

    public DMLCompressionException(String string)

#### DMLCompressionException

    public DMLCompressionException(String string,
                                   Exception ex)